## git-lfs 2.11.0

=== debian/changelog ===
git-lfs (2.11.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 09 May 2020 23:13:47 -0500
