=== debian/control ===
Source: git-lfs
Section: vcs
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Stephen Gelman <ssgelm@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               git (>= 1.8.0),
               golang-any (>= 2:1.8~),
               ronn (>= 0.8.0-2~),
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-rubyist-tracerx-dev (>= 0.0~git20170927.0.7879593),
               golang-github-bgentry-go-netrc-dev,
               golang-github-olekukonko-ts-dev,
               golang-github-thomsonreuterseikon-go-ntlm-dev,
               golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
               golang-github-git-lfs-wildmatch-dev (>= 1.0.4~),
               golang-github-git-lfs-go-netrc-dev,
               golang-github-git-lfs-gitobj-dev (>= 1.4.1~),
               golang-github-mattn-go-isatty-dev,
               golang-github-ssgelm-cookiejarparser-dev,
               golang-golang-x-sync-dev,
               golang-github-dpotapov-go-spnego-dev,
Standards-Version: 4.5.0
Homepage: https://git-lfs.github.com/
Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
XS-Go-Import-Path: github.com/git-lfs/git-lfs
Testsuite: autopkgtest-pkg-go

Package: git-lfs
Architecture: any
Depends: git,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Git Large File Support
 An open source Git extension for versioning large files.
 Git Large File Storage (LFS) replaces large files such as
 audio samples, videos, datasets, and graphics with text
 pointers inside Git, while storing the file contents on
 a remote server.
