## git-lfs 2.12.0

=== debian/changelog ===
git-lfs (2.12.0-1) unstable; urgency=medium

  * New upstream release
  * Bump DH compat level to 13

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 02 Sep 2020 11:52:26 -0500
