=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                git (>= 1.8.0),
                golang-any (>= 2:1.8~),
@@ -17,7 +17,7 @@
                golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
                golang-github-git-lfs-wildmatch-dev (>= 1.0.4~),
                golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev (>= 1.4.1~),
+               golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
@@ -28,6 +28,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
 XS-Go-Import-Path: github.com/git-lfs/git-lfs
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: git-lfs
 Architecture: any
