## git-lfs 2.12.1

=== debian/changelog ===
git-lfs (2.12.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 22 Nov 2020 23:25:14 -0600

git-lfs (2.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Thu, 12 Nov 2020 00:22:11 -0600

git-lfs (2.12.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 06 Sep 2020 01:38:55 -0500

git-lfs (2.11.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 24 May 2020 23:55:08 -0500

git-lfs (2.10.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 07 Mar 2020 16:58:30 -0600

git-lfs (2.9.2-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 17 Dec 2019 00:00:12 -0600

git-lfs (2.9.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 03 Dec 2019 00:38:34 -0600

git-lfs (2.9.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 08 Nov 2019 21:31:35 -0600

git-lfs (2.8.0-4~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 30 Sep 2019 23:48:05 -0500

git-lfs (2.8.0-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 16 Aug 2019 00:39:48 -0500

git-lfs (2.7.2-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 20 Jul 2019 12:15:53 -0500
