=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                git (>= 1.8.0),
-               golang-any (>= 2:1.8~),
+               golang-any (>= 2:1.12~),
                ronn (>= 0.8.0-2~),
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
