## git-lfs 2.13.1

=== debian/changelog ===
git-lfs (2.13.1-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 11 Jan 2021 23:11:09 -0600

git-lfs (2.13.1-2) unstable; urgency=medium

  * Only remove superfluous files during build if they exist (Closes: #979601)

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 08 Jan 2021 17:20:36 -0600

git-lfs (2.13.1-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.5.1

 -- Stephen Gelman <ssgelm@debian.org>  Sat, 12 Dec 2020 01:34:58 -0600

git-lfs (2.12.1-2) unstable; urgency=medium

  * Add golang-github-git-lfs-git-lfs-dev package (Closes: #976645)

 -- Stephen Gelman <ssgelm@debian.org>  Tue, 08 Dec 2020 23:10:47 -0600
