=== debian/control ===
--- 
+++ 
@@ -21,8 +21,9 @@
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
+               golang-golang-x-sys-dev (>= 0.0~git20201101.da20708-2~),
                golang-github-dpotapov-go-spnego-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
@@ -42,3 +43,27 @@
  audio samples, videos, datasets, and graphics with text
  pointers inside Git, while storing the file contents on
  a remote server.
+
+Package: golang-github-git-lfs-git-lfs-dev
+Architecture: all
+Depends: golang-github-pkg-errors-dev,
+         golang-github-spf13-cobra-dev,
+         golang-github-rubyist-tracerx-dev (>= 0.0~git20170927.0.7879593),
+         golang-github-bgentry-go-netrc-dev,
+         golang-github-olekukonko-ts-dev,
+         golang-github-thomsonreuterseikon-go-ntlm-dev,
+         golang-github-xeipuuv-gojsonschema-dev (>= 0.0~git20170210.0.6b67b3f),
+         golang-github-git-lfs-wildmatch-dev (>= 1.0.4~),
+         golang-github-git-lfs-go-netrc-dev,
+         golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
+         golang-github-mattn-go-isatty-dev,
+         golang-github-ssgelm-cookiejarparser-dev,
+         golang-golang-x-sync-dev,
+         golang-github-dpotapov-go-spnego-dev,
+         ${misc:Depends}
+Description: Git Large File Support (library)
+ An open source Git extension for versioning large files.
+ Git Large File Storage (LFS) replaces large files such as
+ audio samples, videos, datasets, and graphics with text
+ pointers inside Git, while storing the file contents on
+ a remote server.
