=== debian/changelog ===
git-lfs (2.13.2-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 13 Jan 2021 22:53:41 -0600
