=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
-               golang-golang-x-sys-dev (>= 0.0~git20201101.da20708-2~),
                golang-github-dpotapov-go-spnego-dev,
 Standards-Version: 4.5.1
 Homepage: https://git-lfs.github.com/
