## git-lfs 3.0.2

=== debian/changelog ===
git-lfs (3.0.2-1ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 21:53:19 +0000

git-lfs (3.0.2-1ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Mon, 01 May 2023 17:52:50 +0530

git-lfs (3.0.2-1ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 30 Jan 2023 21:05:00 +0100

git-lfs (3.0.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.0.1

 -- Stephen Gelman <ssgelm@debian.org>  Fri, 05 Nov 2021 23:49:42 -0500

git-lfs (2.13.3-2) unstable; urgency=medium

  * Pass `--skip-repo` to `install` and `uninstall` in the maintainer scripts
    (Thanks to Richard Hansen for the patch!)

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 25 Aug 2021 00:22:39 -0500

git-lfs (2.13.3-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Sun, 15 Aug 2021 01:05:17 -0500
