## git-lfs 3.2.0

=== debian/changelog ===
git-lfs (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 25 May 2022 23:58:16 -0500

git-lfs (3.1.4-2) unstable; urgency=medium

  * Include previously excluded source files to fix autopkgtest

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Apr 2022 12:29:03 -0500

git-lfs (3.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Apr 2022 01:31:56 -0500

git-lfs (3.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 25 Apr 2022 01:25:13 -0500
