=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: git-lfs
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Stephen Gelman <ssgelm@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
@@ -12,17 +11,17 @@
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-github-rubyist-tracerx-dev,
-               golang-github-bgentry-go-netrc-dev,
                golang-github-olekukonko-ts-dev,
                golang-github-xeipuuv-gojsonschema-dev,
                golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
-               golang-github-git-lfs-go-netrc-dev,
-               golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
+               golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
+               golang-github-git-lfs-gitobj-dev (>= 2.1.0~),
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
                golang-github-dpotapov-go-spnego-dev,
                golang-github-git-lfs-pktline-dev,
+               golang-github-leonelquinteros-gotext-dev,
 Standards-Version: 4.6.0.1
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
@@ -49,17 +48,17 @@
 Depends: golang-github-pkg-errors-dev,
          golang-github-spf13-cobra-dev,
          golang-github-rubyist-tracerx-dev,
-         golang-github-bgentry-go-netrc-dev,
          golang-github-olekukonko-ts-dev,
          golang-github-xeipuuv-gojsonschema-dev,
          golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
-         golang-github-git-lfs-go-netrc-dev,
-         golang-github-git-lfs-gitobj-dev (>= 2.0.0~),
+         golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
+         golang-github-git-lfs-gitobj-dev (>= 2.1.0~),
          golang-github-mattn-go-isatty-dev,
          golang-github-ssgelm-cookiejarparser-dev,
          golang-golang-x-sync-dev,
          golang-github-dpotapov-go-spnego-dev,
          golang-github-git-lfs-pktline-dev,
+         golang-github-leonelquinteros-gotext-dev,
          ${misc:Depends}
 Description: Git Large File Support (library)
  An open source Git extension for versioning large files.
@@ -67,3 +66,5 @@
  audio samples, videos, datasets, and graphics with text
  pointers inside Git, while storing the file contents on
  a remote server.
+ .
+ This package contains the source code for git-lfs
