=== debian/rules ===
--- 
+++ 
@@ -20,14 +20,9 @@
 	rm -f $(BUILD_DIR)/bin/script
 	rm -f $(BUILD_DIR)/bin/man
 	rm -f $(BUILD_DIR)/bin/cmd
+	rm -f $(BUILD_DIR)/bin/trgen
 	mkdir man
 	rm -rf man/*.ronn
-	rm -rf man/*.txt
 	cp docs/man/*.ronn man
-	cp docs/man/*.txt man
 	ronn man/*.ronn
 	rm -rf man/*.ronn
-	rm -rf man/*.txt
-
-override_dh_dwz:
-	# dwz doesn't work on golang packages
