## git-lfs 3.3.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,9 @@
 # If Git LFS is being built for a published release, VERSION and GIT_LFS_SHA
 # should be identical.
 VERSION ?= $(shell git describe HEAD)
+
+# PREFIX is VERSION without the leading v, for use in archive prefixes.
+PREFIX ?= $(patsubst v%,git-lfs-%,$(VERSION))
 
 # GO is the name of the 'go' binary used to compile Git LFS.
 GO ?= go
@@ -23,9 +26,9 @@
 # DWARF-stripping is enabled unless DWARF=YesPlease.
 BUILTIN_LD_FLAGS =
 ifneq ("$(VENDOR)","")
-BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.Vendor=$(VENDOR)
-endif
-BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/config.GitCommit=$(GIT_LFS_SHA)
+BUILTIN_LD_FLAGS += -X 'github.com/git-lfs/git-lfs/v3/config.Vendor=$(VENDOR)'
+endif
+BUILTIN_LD_FLAGS += -X github.com/git-lfs/git-lfs/v3/config.GitCommit=$(GIT_LFS_SHA)
 ifneq ("$(DWARF)","YesPlease")
 BUILTIN_LD_FLAGS += -s
 BUILTIN_LD_FLAGS += -w
@@ -39,22 +42,21 @@
 LD_FLAGS = $(BUILTIN_LD_FLAGS) $(EXTRA_LD_FLAGS)
 
 # BUILTIN_GC_FLAGS are the internal flags used to pass compiler.
-BUILTIN_GC_FLAGS ?= all=-trimpath="$$HOME"
+BUILTIN_GC_FLAGS =
 # EXTRA_GC_FLAGS are the caller-provided flags to pass to the compiler.
 EXTRA_GC_FLAGS =
 # GC_FLAGS are the union of the above two BUILTIN_GC_FLAGS and EXTRA_GC_FLAGS.
 GC_FLAGS = $(BUILTIN_GC_FLAGS) $(EXTRA_GC_FLAGS)
 
-ASM_FLAGS ?= all=-trimpath="$$HOME"
-
-# TRIMPATH contains arguments to be passed to go to strip paths on Go 1.13 and
-# newer.
-TRIMPATH ?= $(shell [ "$$($(GO) version | awk '{print $$3}' | sed -e 's/^[^.]*\.//;s/\..*$$//;')" -ge 13 ] && echo -trimpath)
-
 # RONN is the name of the 'ronn' program used to generate man pages.
 RONN ?= ronn
 # RONN_EXTRA_ARGS are extra arguments given to the $(RONN) program when invoked.
 RONN_EXTRA_ARGS ?=
+
+# ASCIIDOCTOR is the name of the 'asciidoctor' program used to generate man pages.
+ASCIIDOCTOR ?= asciidoctor
+# ASCIIDOCTOR_EXTRA_ARGS are extra arguments given to the $(ASCIIDOCTOR) program when invoked.
+ASCIIDOCTOR_EXTRA_ARGS ?= -a reproducible
 
 # GREP is the name of the program used for regular expression matching, or
 # 'grep' if unset.
@@ -69,12 +71,15 @@
 # program.
 GOIMPORTS_EXTRA_OPTS ?= -w -l
 
-TAR_XFORM_ARG ?= $(shell tar --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
-TAR_XFORM_CMD ?= $(shell tar --version | grep -q 'GNU tar' && echo 's')
+# TAR is the tar command, either GNU or BSD (libarchive) tar.
+TAR ?= tar
+
+TAR_XFORM_ARG ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo '--xform' || echo '-s')
+TAR_XFORM_CMD ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo 's')
 
 # CERT_SHA1 is the SHA-1 hash of the Windows code-signing cert to use.  The
 # actual signature is made with SHA-256.
-CERT_SHA1 ?= 824455beeb23fe270e756ca04ec8e902d19c62aa
+CERT_SHA1 ?= 27ea8f81ce920bccd2174e3b272f2ba247605be6
 
 # CERT_FILE is the PKCS#12 file holding the certificate.
 CERT_FILE ?=
@@ -100,6 +105,31 @@
 # SOURCES is a listing of all .go files in this and child directories, excluding
 # that in vendor.
 SOURCES = $(shell find . -type f -name '*.go' | grep -v vendor)
+
+# MSGFMT is the GNU gettext msgfmt binary.
+MSGFMT ?= msgfmt
+
+# PO is a list of all the po (gettext source) files.
+PO = $(wildcard po/*.po)
+
+# MO is a list of all the mo (gettext compiled) files to be built.
+MO = $(patsubst po/%.po,po/build/%.mo,$(PO))
+
+# XGOTEXT is the string extractor for gotext.
+XGOTEXT ?= xgotext
+
+# CODESIGN is the macOS signing tool.
+CODESIGN ?= codesign
+
+# GON is the macOS notarizing tool.
+GON ?= gon
+
+# SIGNTOOL is the Windows signing tool.
+SIGNTOOL ?= signtool.exe
+
+# FORCE_LOCALIZE forces localization to be run if set to non-empty.
+FORCE_LOCALIZE ?=
+
 # PKGS is a listing of packages that are considered to be a part of Git LFS, and
 # are used in package-specific commands, such as the 'make test' targets. For
 # example:
@@ -126,11 +156,13 @@
 PKGS += lfsapi
 PKGS += lfshttp
 PKGS += locking
+PKGS += ssh
 PKGS += subprocess
 PKGS += tasklog
 PKGS += tools
 PKGS += tools/humanize
 PKGS += tools/kv
+PKGS += tr
 PKGS += tq
 endif
 
@@ -143,12 +175,16 @@
 # entrypoint be given, hence the below conditional. On Windows, it is required
 # that an entrypoint not be given so that goversioninfo can successfully embed
 # the resource.syso file (for more, see below).
+#
+# BSDTAR is BSD (libarchive) tar.
 ifeq ($(OS),Windows_NT)
 X ?= .exe
 BUILD_MAIN ?=
+BSDTAR ?= C:/Windows/system32/tar.exe
 else
 X ?=
 BUILD_MAIN ?= ./git-lfs.go
+BSDTAR ?= $(shell $(TAR) --version | grep -q 'GNU tar' && echo bsdtar || echo $(TAR))
 endif
 
 # BUILD is a macro used to build a single binary of Git LFS using the above
@@ -167,14 +203,14 @@
 	$(GO) build \
 	-ldflags="$(LD_FLAGS)" \
 	-gcflags="$(GC_FLAGS)" \
-	-asmflags="$(ASM_FLAGS)" \
-	$(TRIMPATH) \
+	-trimpath \
 	-o ./bin/git-lfs$(3) $(BUILD_MAIN)
 
 # BUILD_TARGETS is the set of all platforms and architectures that Git LFS is
 # built for.
 BUILD_TARGETS = \
 	bin/git-lfs-darwin-amd64 \
+	bin/git-lfs-darwin-arm64 \
 	bin/git-lfs-linux-arm \
 	bin/git-lfs-linux-arm64 \
 	bin/git-lfs-linux-amd64 \
@@ -184,7 +220,8 @@
 	bin/git-lfs-freebsd-amd64 \
 	bin/git-lfs-freebsd-386 \
 	bin/git-lfs-windows-amd64.exe \
-	bin/git-lfs-windows-386.exe
+	bin/git-lfs-windows-386.exe \
+	bin/git-lfs-windows-arm64.exe
 
 # mangen is a shorthand for ensuring that commands/mancontent_gen.go is kept
 # up-to-date with the contents of docs/man/*.ronn.
@@ -195,7 +232,41 @@
 # 'commands' of Git LFS. It depends upon the contents of the 'docs' directory
 # and converts those manpages into code.
 commands/mancontent_gen.go : $(wildcard docs/man/*.ronn)
-	$(GO) generate github.com/git-lfs/git-lfs/commands
+	GOOS= GOARCH= $(GO) generate github.com/git-lfs/git-lfs/v3/commands
+
+# trgen is a shorthand for ensuring that tr/tr_gen.go is kept up-to-date with
+# the contents of po/build/*.mo.
+.PHONY : trgen
+trgen : tr/tr_gen.go
+
+# tr/tr_gen.go is generated by running 'go generate' on package
+# 'tr' of Git LFS. It depends upon the contents of the 'po' directory
+# and converts the .mo files.
+tr/tr_gen.go : $(MO)
+	GOOS= GOARCH= $(GO) generate github.com/git-lfs/git-lfs/v3/tr
+
+po/build:
+	mkdir -p po/build
+
+# These targets build the MO files.
+po/build/%.mo: po/%.po po/build
+ifeq ($(FORCE_LOCALIZE),)
+	if command -v $(MSGFMT) >/dev/null 2>&1; \
+	then \
+		$(MSGFMT) -o $@ $<; \
+	fi
+else
+	$(MSGFMT) -o $@ $<
+endif
+
+po/i-reverse.po: po/default.pot
+	script/gen-i-reverse $< $@
+
+po/default.pot:
+	if command -v $(XGOTEXT) >/dev/null 2>&1; \
+	then \
+		$(XGOTEXT) -in . -exclude .git,.github,vendor -out po -v; \
+	fi
 
 # Targets 'all' and 'build' build binaries of Git LFS for the above release
 # matrix.
@@ -210,28 +281,32 @@
 #
 # On Windows, they also depend on the resource.syso target, which installs and
 # embeds the versioninfo into the binary.
-bin/git-lfs-darwin-amd64 : $(SOURCES) mangen
+bin/git-lfs-darwin-amd64 : $(SOURCES) mangen trgen
 	$(call BUILD,darwin,amd64,-darwin-amd64)
-bin/git-lfs-linux-arm : $(SOURCES) mangen
+bin/git-lfs-darwin-arm64 : $(SOURCES) mangen trgen
+	$(call BUILD,darwin,arm64,-darwin-arm64)
+bin/git-lfs-linux-arm : $(SOURCES) mangen trgen
 	GOARM=5 $(call BUILD,linux,arm,-linux-arm)
-bin/git-lfs-linux-arm64 : $(SOURCES) mangen
+bin/git-lfs-linux-arm64 : $(SOURCES) mangen trgen
 	$(call BUILD,linux,arm64,-linux-arm64)
-bin/git-lfs-linux-amd64 : $(SOURCES) mangen
+bin/git-lfs-linux-amd64 : $(SOURCES) mangen trgen
 	$(call BUILD,linux,amd64,-linux-amd64)
-bin/git-lfs-linux-ppc64le : $(SOURCES) mangen
+bin/git-lfs-linux-ppc64le : $(SOURCES) mangen trgen
 	$(call BUILD,linux,ppc64le,-linux-ppc64le)
-bin/git-lfs-linux-s390x : $(SOURCES) mangen
+bin/git-lfs-linux-s390x : $(SOURCES) mangen trgen
 	$(call BUILD,linux,s390x,-linux-s390x)
-bin/git-lfs-linux-386 : $(SOURCES) mangen
+bin/git-lfs-linux-386 : $(SOURCES) mangen trgen
 	$(call BUILD,linux,386,-linux-386)
-bin/git-lfs-freebsd-amd64 : $(SOURCES) mangen
+bin/git-lfs-freebsd-amd64 : $(SOURCES) mangen trgen
 	$(call BUILD,freebsd,amd64,-freebsd-amd64)
-bin/git-lfs-freebsd-386 : $(SOURCES) mangen
+bin/git-lfs-freebsd-386 : $(SOURCES) mangen trgen
 	$(call BUILD,freebsd,386,-freebsd-386)
-bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES) mangen
+bin/git-lfs-windows-amd64.exe : resource.syso $(SOURCES) mangen trgen
 	$(call BUILD,windows,amd64,-windows-amd64.exe)
-bin/git-lfs-windows-386.exe : resource.syso $(SOURCES) mangen
+bin/git-lfs-windows-386.exe : resource.syso $(SOURCES) mangen trgen
 	$(call BUILD,windows,386,-windows-386.exe)
+bin/git-lfs-windows-arm64.exe : resource.syso $(SOURCES) mangen trgen
+	$(call BUILD,windows,arm64,-windows-arm64.exe)
 
 # .DEFAULT_GOAL sets the operating system-appropriate Git LFS binary as the
 # default output of 'make'.
@@ -239,12 +314,12 @@
 
 # bin/git-lfs targets the default output of Git LFS on non-Windows operating
 # systems, and respects the build knobs as above.
-bin/git-lfs : $(SOURCES) fmt mangen
+bin/git-lfs : $(SOURCES) fmt mangen trgen
 	$(call BUILD,$(GOOS),$(GOARCH),)
 
 # bin/git-lfs.exe targets the default output of Git LFS on Windows systems, and
 # respects the build knobs as above.
-bin/git-lfs.exe : $(SOURCES) resource.syso mangen
+bin/git-lfs.exe : $(SOURCES) resource.syso mangen trgen
 	$(call BUILD,$(GOOS),$(GOARCH),.exe)
 
 # resource.syso installs the 'goversioninfo' command and uses it in order to
@@ -271,54 +346,3 @@
 #
 # 	make bin/releases/git-lfs-darwin-amd64-$(git describe HEAD).tar.gz
 #
-# To build a specific release with a custom VERSION suffix, run the following:
-#
-# 	make VERSION=my-version bin/releases/git-lfs-darwin-amd64-my-version.tar.gz
-RELEASE_TARGETS = \
-	bin/releases/git-lfs-darwin-amd64-$(VERSION).zip \
-	bin/releases/git-lfs-linux-arm-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-arm64-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-amd64-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-ppc64le-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-s390x-$(VERSION).tar.gz \
-	bin/releases/git-lfs-linux-386-$(VERSION).tar.gz \
-	bin/releases/git-lfs-freebsd-amd64-$(VERSION).tar.gz \
-	bin/releases/git-lfs-freebsd-386-$(VERSION).tar.gz \
-	bin/releases/git-lfs-windows-amd64-$(VERSION).zip \
-	bin/releases/git-lfs-windows-386-$(VERSION).zip \
-	bin/releases/git-lfs-$(VERSION).tar.gz
-
-# RELEASE_INCLUDES are the names of additional files that are added to each
-# release artifact.
-RELEASE_INCLUDES = README.md CHANGELOG.md man
-
-# release is a phony target that builds all of the release artifacts, and then
-# shows the SHA 256 signature of each.
-#
-# To build all of the release binaries for a given Git LFS release:
-#
-# 	make release
-.PHONY : release
-release : $(RELEASE_TARGETS)
-	shasum -a 256 $(RELEASE_TARGETS)
-
-# bin/releases/git-lfs-%-$(VERSION).tar.gz generates a gzip-compressed TAR of
-# the non-Windows and non-macOS release artifacts.
-#
-# It includes all of RELEASE_INCLUDES, as well as script/install.sh.
-bin/releases/git-lfs-%-$(VERSION).tar.gz : \
-$(RELEASE_INCLUDES) bin/git-lfs-% script/install.sh
-	@mkdir -p bin/releases
-	tar $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!bin/git-lfs-.*!git-lfs!' $(TAR_XFORM_ARG) '$(TAR_XFORM_CMD)!script/!!' -czf $@ $^
-
-# bin/releases/git-lfs-darwin-$(VERSION).zip generates a ZIP compression of all
-# of the macOS release artifacts.
-#
-# It includes all of the RELEASE_INCLUDES, as well as script/install.sh.
-bin/releases/git-lfs-darwin-%-$(VERSION).zip : \
-$(RELEASE_INCLUDES) bin/git-lfs-darwin-% script/install.sh
-	dir=bin/releases/darwin-$* && \
-	rm -f $@ && \
-	mkdir -p $$dir && \
-	cp -R $^ $$dir && mv $$dir/git-lfs-darwin-$* $$dir/git-lfs && \
-	zip -j $@ $$dir/* && \
