=== debian/changelog ===
git-lfs (3.3.0-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Apply upstream patch to fix CVE-2024-53263:
    - Reject LF bytes in credential data

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 21 Jan 2025 10:54:02 +0100

git-lfs (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.1.0

 -- Stephen Gelman <ssgelm@debian.org>  Wed, 30 Nov 2022 18:32:31 -0600
