=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                dh-golang,
                git,
                golang-any (>= 2:1.12~),
-               ronn,
+               asciidoctor,
                golang-github-pkg-errors-dev,
                golang-github-spf13-cobra-dev,
                golang-github-rubyist-tracerx-dev,
@@ -15,14 +15,14 @@
                golang-github-xeipuuv-gojsonschema-dev,
                golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
                golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
-               golang-github-git-lfs-gitobj-dev (>= 2.1.0~),
+               golang-github-git-lfs-gitobj-dev (>= 2.1.1~),
                golang-github-mattn-go-isatty-dev,
                golang-github-ssgelm-cookiejarparser-dev,
                golang-golang-x-sync-dev,
                golang-github-dpotapov-go-spnego-dev,
                golang-github-git-lfs-pktline-dev,
                golang-github-leonelquinteros-gotext-dev,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
@@ -44,6 +44,7 @@
  a remote server.
 
 Package: golang-github-git-lfs-git-lfs-dev
+Section: golang
 Architecture: all
 Depends: golang-github-pkg-errors-dev,
          golang-github-spf13-cobra-dev,
@@ -52,7 +53,7 @@
          golang-github-xeipuuv-gojsonschema-dev,
          golang-github-git-lfs-wildmatch-dev (>= 2.0.1~),
          golang-github-git-lfs-go-netrc-dev (>= 0.0~git20210914.f0c862d~),
-         golang-github-git-lfs-gitobj-dev (>= 2.1.0~),
+         golang-github-git-lfs-gitobj-dev (>= 2.1.1~),
          golang-github-mattn-go-isatty-dev,
          golang-github-ssgelm-cookiejarparser-dev,
          golang-golang-x-sync-dev,
