=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,4 @@
 	rm -f $(BUILD_DIR)/bin/cmd
 	rm -f $(BUILD_DIR)/bin/trgen
 	mkdir man
-	rm -rf man/*.ronn
-	cp docs/man/*.ronn man
-	ronn man/*.ronn
-	rm -rf man/*.ronn
+	asciidoctor -b manpage -D man/ docs/man/*.adoc
