## git-lfs 3.4.0

=== debian/changelog ===
git-lfs (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.6.2

 -- Stephen Gelman <ssgelm@debian.org>  Mon, 14 Aug 2023 00:17:56 -0500
