=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
                golang-github-dpotapov-go-spnego-dev,
                golang-github-git-lfs-pktline-dev,
                golang-github-leonelquinteros-gotext-dev,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://git-lfs.github.com/
 Vcs-Browser: https://salsa.debian.org/go-team/packages/git-lfs
 Vcs-Git: https://salsa.debian.org/go-team/packages/git-lfs.git
